Can't Upgrade Wordpress

March 14, 2014 2k views
Hi, I'm having problems upgrading Wordpress. it keeps giving me this error: =============================================================================== Downloading update from… Unpacking the update… Could not create directory. Installation Failed =============================================================================== I've tried using the steps mentioned here ( but still to no avail. Can someone please help? By the way, I've got VestaCP installed, and I'm a complete noob in setting up server. :) Thanks!
1 Answer

You could download the latest version of wordpress and upload it replacing the outdated files in your install folder via sftp. Alternatively you could ssh in and insure that apaches user normally www-data owns the wordpress dictionary. To find out what user apache runs under ssh into your droplet and run the top command. After that type the following I'm assuming that the user is www-data and that you know to change /some/folder to the correct path.

chown -R www-data:www-data /some/folder/yourinstall/*

then to check the permissions are okay you could modify them to 755 not the best security practise but it will be okay if its only you using the server to do this run .

chmod 755 -R /some/folder/yourinstall/*

Hope this helps
Have another answer? Share your knowledge.